<?php

/**
 *
 * @link              https://kostalas.gr
 * @since             1.0.0
 * @package           Dynamic_Countdown_with_ACF_Elementor
 *
 * @wordpress-plugin
 * Plugin Name:       Dynamic Countdown with ACF and Elementor
 * Plugin URI:        https://kostalas.gr/dynamic-countdown-with-acf-elementor
 * Description:       This is a simple plugin that fixes one of the main issues with the Elementor Countdown Widget; the inability to dynamically set the due date with an ACF Field.
 * Version:           1.0.3
 * Author:            Iraklis Kostalas
 * Author URI:        https://kostalas.gr
 * License:           GPL-2.0+
 * License URI:       http://www.gnu.org/licenses/gpl-2.0.txt
 * Text Domain:       dynamic-countdown-with-acf-elementor
 * Domain Path:       /languages
 */

//Include Options File for Admin Menu Options page
include plugin_dir_path( __FILE__ ) . 'options.php';

//Hook onto Elementor's "before_render" action.
add_action( 'init', function(){
    add_action( 'elementor/frontend/widget/before_render', function ( \Elementor\Element_Base $element ) {

        if ( "countdown"  != $element->get_name() ) {
            return;
        }

        //Get the field specified on options page
        $countdown_date = get_field(get_option('dcae_kiiraklis94_acf_field'));

        //Do the thing
        $element->set_settings( 'due_date', date('Y-m-d H:i',strtotime($countdown_date))) ;
    }, 5, 1);
});