<?php
// create custom plugin settings menu
add_action('admin_menu', 'dcae_kiiraklis94_options_menu');

function dcae_kiiraklis94_options_menu() {

	//create new top-level menu
	add_menu_page('Dynamic Countdown with ACF and Elementor Settings', 'DCEA Settings', 'administrator', __FILE__, 'dcae_kiiraklis94_settings_page' , plugins_url('images/icon1.png', __FILE__ ) );

	//call register settings function
	add_action( 'admin_init', 'register_dcae_kiiraklis94_options_menu' );
}


function register_dcae_kiiraklis94_options_menu() {
	//register our settings
	register_setting( 'dcae_kiiraklis94_settings_group', 'dcae_kiiraklis94_acf_field' );
}

function dcae_kiiraklis94_settings_page() {
?>
<div class="wrap">
<h1>Elementor Dynamic Countdown with ACF Settings</h1>
<p>
    This is a simple plugin that fixes one of the main issues with the Elementor Countdown Widget; the inability to dynamically set the due date with an ACF Field. 
    <br>
    Below, you can simply input the name of the datetime field you would like the Countdown to be set by.
    <hr>
    <h2>Instructions</h2>
        <ol>
            <li>Create a <strong>Date Time Picker</strong> field in ACF (Advanced Custom Fields)</li>
            <li>Make sure the output of the datetime field is set to: <strong>Y-m-d H:i:s</strong> (it's the last option before "Custom")</li>
            <li>Copy the <strong>Field Name</strong> of the field you just created.</li>
            <li>Paste the Field Name of the field you just created into the input box below.</li>
            <li>Click on "Save Changes".</li>
        </ol>

        <strong>Note: </strong>This plugin only affects the rendering of the countdown widget on the front end. It does not actually add dynamic date/tag support to the countdown widget in the Elementor builder interface.
</p>

<form method="post" action="options.php">
    <?php settings_fields( 'dcae_kiiraklis94_settings_group' ); ?>
    <?php do_settings_sections( 'dcae_kiiraklis94_settings_group' ); ?>

    <table class="form-table">

        <tr valign="top">
        <th scope="row">ACF Date Time Field to be used for Elementor Countdown</th>
        <td>
            <input type="text" name="dcae_kiiraklis94_acf_field" value="<?php echo esc_attr( get_option('dcae_kiiraklis94_acf_field') ); ?>" />
        </td>
        </tr>

    </table>
    
    <?php submit_button(); ?>

</form>
</div>
<?php } ?>